Bug 150499 - CRASH: deleting sheet
Summary: CRASH: deleting sheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.2 target:7.4.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2022-08-19 12:18 UTC by Xisco Faulí
Modified: 2022-09-09 17:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (50.50 KB, application/vnd.ms-excel)
2022-08-19 12:18 UTC, Xisco Faulí
Details
gdb bt (12.09 KB, text/plain)
2022-08-19 17:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-08-19 12:18:58 UTC
Created attachment 181884 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Delete sheet 'question'

-> Crash

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: f63ffcba32527d04abbd460dddd3e5ca63d695df
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-08-19 12:19:55 UTC
Regression introduced by:

author	Luboš Luňák <l.lunak@collabora.com>	2022-06-13 20:46:08 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	2022-06-16 15:12:42 +0200
commit 1ac3b4ae83856eebe6bc329b7a92575b6b1d84be (patch)
tree c1db08bbfe4aa122530be88907b16fabff6cf40e
parent 70d9ae7b59fd26dc524e77ff991f1cd887544475 (diff)
share ScSortedRangeCache between threads

Bisected with: bibisect-linux64-7.5

Adding Cc: to Luboš Luňák
Comment 2 Julien Nabet 2022-08-19 17:26:50 UTC
Created attachment 181889 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached a file showing first console logs then the bt.
Comment 3 Commit Notification 2022-08-25 07:48:53 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b1b2083ec2ebde32d2c3f7ee2f2e3d2cc75721d8

try harder to ensure InterpretCellsIfNeeded() interprets (tdf#150499)

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-08-25 21:06:45 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/d8eba60009afce4d9cca1488b4ce70e221642865

try harder to ensure InterpretCellsIfNeeded() interprets (tdf#150499)

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-09-06 10:44:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4a003f37b4d71a06f915858690d40c6f3c6fa1bc

tdf#150499: sc_uicalc: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-09-09 17:17:02 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-1":

https://git.libreoffice.org/core/commit/fc6cd5b1e214f6688dbfb5ffa70332b6bece8763

try harder to ensure InterpretCellsIfNeeded() interprets (tdf#150499)

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.